Return Board Statements configured for one board.
GET
/api/workspace/admin/boards/boards/{boardId}/statements
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/admin/boards/boards/example/statements"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/admin/boards/boards/example/statements';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/admin/boards/boards/example/statementsAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”boardId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Array<object>
One reusable Board Statement configured on a board.
object
Id
string
BoardId
string
Name
string
DisplayName
string
Description
string
BoardTargetDefinitionId
string
Expression
string
NormalizedExpression
string
EngineVersion
string
ProfileVersion
integer format: int32
SchemaFingerprint
string
ProfileFingerprint
string
ExpressionFingerprint
string
ArtifactFingerprint
string
IsEventEligible
boolean
IsStatusInvariantEligible
boolean
SortOrder
integer format: int32
IsEnabled
boolean
Dependencies
Array<object>
One bound Board Statement dependency.
object
Kind
string
DependencyId
string
Path
string
CollectionScope
string
IsStatusInvariantSafe
boolean
RowVersion
string format: uuid
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media typeapplication/json
object
Data
Array<object>
One reusable Board Statement configured on a board.
object
Id
string
BoardId
string
Name
string
DisplayName
string
Description
string
BoardTargetDefinitionId
string
Expression
string
NormalizedExpression
string
EngineVersion
string
ProfileVersion
integer format: int32
SchemaFingerprint
string
ProfileFingerprint
string
ExpressionFingerprint
string
ArtifactFingerprint
string
IsEventEligible
boolean
IsStatusInvariantEligible
boolean
SortOrder
integer format: int32
IsEnabled
boolean
Dependencies
Array<object>
One bound Board Statement dependency.
object
Kind
string
DependencyId
string
Path
string
CollectionScope
string
IsStatusInvariantSafe
boolean
RowVersion
string format: uuid
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}